ps3mediaserver Cookbook
=======================
A cookbook for ps3mediaserver installation.
Check http://www.ps3mediaserver.org/ for details about software.

Requirements
------------
This cookbook requires cookbook apt.

Attributes
----------

- node['ps3mediaserver']['daemon'] - run ps3mediaserver as daemon. Default is true.
- node['ps3mediaserver']['pms_user'] - user ps3mediaserver runs as. Default is root.
- node['ps3mediaserver']['memory_limit'] - memory limit for ps3mediaserver. Default is 768M.
- node['ps3mediaserver']['java_opts'] - default java options for application. Check documentation for more info.
- node['ps3mediaserver']['daemon_opts'] - default daemon option. Empty by default. Check documentation for more info.
- node['ps3mediaserver']['name'] - name of your server. If empty PMS will select it automatically.
- node['ps3mediaserver']['network_interface'] - select interface to attach to. If empty, PMS will select it automatically.
- node['ps3mediaserver']['ipaddress'] - select ip address to attach to. If empty, PMS will select it automatically.
- node['ps3mediaserver']['port'] - select port to attach to. Default is 5001.
- node['ps3mediaserver']['folders'] - comma separated folders, containing media. If empty, PMS will scan your system automatically. Empty by default.
- node['ps3mediaserver']['engines'] - comma separated transcoder engines. I use mplayer and ffmpegvideo by default. Feel free to change it, if needed.


Additional Notes
----------------
- Right now I'm using [happy-neko packages](https://launchpad.net/~happy-neko/+archive/ubuntu/ps3mediaserver). New repo coming soon.



License and Authors
-------------------
- Author:: Egor Medvedev <methodx@aylium.net>